"ModuleLicense"
•
Environment: onsite, online
Some tooltip text!
• 1 minute to read
• 1 minute to read
This provider name is implemented by the class
Simple provider for module licences. This provider will return a flat list with one entity for system-level licences, one for site (database)-level licences, and one for user (associate)-level licences. It does not check codekey or other security items.
Supported Entities
| Name | Description |
|---|---|
| "systemLicense" | systemLicense |
| "siteLicense" | siteLicense |
| "userLicense" | userLicense |
Supported Columns
| Name | Restriction | Description | OrderBy |
|---|---|---|---|
| getAllRows | bool | GetAll: Get all rows of archive - use with care, you may be fetching the whole database | |
| getNoRows | bool | GetNone: Do not get any rows from the archive | |
| moduleLicenseId | int | id | x |
| moduleName | string | moduleName | x |
| moduleDesc | string | moduleDesc | x |
| licenseType | int | licenseType | x |
| licenseNumber | int | licenseNumber | x |
| allowedAssocs | int | allowedAssocs | x |
| extraFlags | int | extraFlags | x |
| graceTo | date | graceTo | x |
| maintenanceTo | date | maintenanceTo | x |
Sample
GET /api/v1/archive/ModuleLicense?$select=moduleName,licenseType
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
See also: